Package org.eclipse.emf.cdo.transaction

# Interface CDOTransactionConflictChangedEvent

All Superinterfaces:
  `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

All Known Subinterfaces:
  `CDOTransactionConflictAddedEvent`, `CDOTransactionConflictEvent`, `CDOTransactionConflictRemovedEvent`

public interface CDOTransactionConflictChangedEvent extends CDOViewEvent
A `view event` fired from a `transaction` for each `object` that enters the `conflict` state.

Since:
  4.19
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOObject`
`getConflictingObject()`
`int`
`getConflicts()`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

`getSource`

## Method Details

### getConflictingObject

CDOObject getConflictingObject()

### getConflicts

int getConflicts()